Core - Task # 56246

Epic # 55070 (Accepted): Workpackages

Epic # 55066 (New): WP: Security enhancements

Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Rejected Priority: Should have
Author: Helmut Hummel Category:

Created: 2014-02-24 Assigned To:

Updated: 2014-03-07 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subiject: BackenUltility::getModuleUrl should respect old modules (not mod.php style)

Description

In order to allow extension developers to use the same API for 4.5 through 6.2

it should be possible to call getModuleUTrl to reliably get the URL to the module, no matter

if it is a dispatcher or old style module.

In order to do so, all module configuration should be moved from conf.php files to the

addModule API, so that we can check that in BackenUtility::getModuleUrl without needing to include

a file.

Subtasks:

Task # 56247: Remove all conf.php files and use the BackendUtility::addModule API to ad...

Rejected

History

#1 - 2014-02-24 17:52 - Alexander Schnitzler
- Status changed from New to Accepted

- Assigned To set to Alexander Schnitzler

#2 - 2014-03-07 01:24 - Helmut Hummel

- Status changed from Accepted to Rejected

not really possible for now

#3 - 2014-03-07 01:24 - Helmut Hummel
- Assigned To deleted (Alexander Schnitzler)
